## perspic 1.5-1

=== src/libparse/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ../..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/perspic
pkglibdir = $(libdir)/perspic
pkgincludedir = $(includedir)/perspic

top_builddir = ../..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CATALOGS = 
CATOBJEXT = .gmo
CC = gcc
DATADIRNAME = share
DB1LIB = -ldb1
GENCAT = 
GMOFILES = 
GMSGFMT = /usr/bin/msgfmt
GTK_CFLAGS = -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
GTK_CONFIG = /usr/bin/gtk-config
GTK_LIBS = -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GT_NO = 
GT_YES = #YES#
INCLUDE_LOCALE_H = #include <locale.h>
INSTOBJEXT = .mo
INTLDEPS = 
INTLLIBS = 
INTLOBJS = 
MAKEINFO = makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
PACKAGE = perspic
POFILES = 
POSUB = po
RANLIB = ranlib
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 0.1
l = 

YACC = bison
LEX = flex
#YFLAGS = -d -t -v
YFLAGS = -d
#LFLAGS = -s -t -d -b 
LFLAGS = -s -t

noinst_LIBRARIES = libparse.a

libparse_a_SOURCES =  	parse.l 

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(noinst_LIBRARIES)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I../..
CPPFLAGS = 
LDFLAGS = 
LIBS = 
libparse_a_LIBADD = 
libparse_a_OBJECTS =  parse.o
AR = ar
LEX_OUTPUT_ROOT = lex.yy
LEXLIB = -lfl
CFLAGS = -g -O2 -Wall
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in parse.c


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
DEP_FILES =  .deps/parse.P
SOURCES = $(libparse_a_SOURCES)
OBJECTS = $(libparse_a_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .l .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu src/libparse/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstLIBRARIES:

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

distclean-noinstLIBRARIES:

maintainer-clean-noinstLIBRARIES:

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

libparse.a: $(libparse_a_OBJECTS) $(libparse_a_DEPENDENCIES)
	-rm -f libparse.a
	$(AR) cru libparse.a $(libparse_a_OBJECTS) $(libparse_a_LIBADD)
	$(RANLIB) libparse.a
.l.c:
	$(LEX) $(AM_LFLAGS) $(LFLAGS) $< && mv $(LEX_OUTPUT_ROOT).c $@

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src/libparse

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu src/libparse/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile $(LIBRARIES)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "parsel" || rm -f parsel
mostlyclean-am:  mostlyclean-noinstLIBRARIES mostlyclean-compile \
		mostlyclean-tags mostlyclean-depend mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstLIBRARIES clean-compile clean-tags clean-depend \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstLIBRARIES distclean-compile \
		distclean-tags distclean-depend distclean-generic \
		clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstLIBRARIES \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-depend maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstLIBRARIES distclean-noinstLIBRARIES \
clean-noinstLIBRARIES maintainer-clean-noinstLIBRARIES \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir mostlyclean-depend \
distclean-depend clean-depend maintainer-clean-depend info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


%.c: %.y

%.c: %.l

%.c: %.l %.tab.h
	$(LEX) $(LFLAGS) $< > $@

%.tab.h %.tab.c: %.y
	$(YACC) $(YFLAGS) $<

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## perspic 1.4-6

=== debian/changelog ===
perspic (1.4-6) frozen; urgency=low

  * Rebuild to eliminate double entries in file listing (closes #56890)

 -- Camm Maguire <camm@enhanced.com>  Fri,  4 Feb 2000 22:20:01 +0100

perspic (1.4-5) unstable; urgency=low

  * Forgot in the last release to use the glibc2.1 version
  * Upgraded to latest standards version

 -- Camm Maguire <camm@enhanced.com>  Wed,  5 Jan 2000 18:10:16 +0100

perspic (1.4-4) unstable; urgency=low

  * Fixed typo in control file, upgraded 'suggests' to 'recommends'
  for perspic-texts (closes #54023)  (Thanks for the report!)

 -- Camm Maguire <camm@enhanced.com>  Wed,  5 Jan 2000 17:53:16 +0100

perspic (1.4-3) unstable; urgency=low

  * Small compilation warning fixes
  * Releasing build against libc2.1 -- prior versions compiled correctly
  on either 2.0 or 2.1 systems, but the previously released binary only 
  ran on 2.0 (slink) systems.

 -- Camm Maguire <camm@enhanced.com>  Mon, 20 Dec 1999 12:25:17 -0500

perspic (1.4-2) unstable; urgency=low

  * Fixed window naming problem
  * Fixed initialization problem when perspic-texts not installed
  * Added #define _GNU_SOURCE to fix compile problems with glibc2.1

 -- Camm Maguire <camm@enhanced.com>  Thu, 16 Dec 1999 20:23:28 -0500

perspic (1.4-1) unstable; urgency=low

  * Updated text descriptions, closing #51233
  * New source code release

 -- Camm Maguire <camm@enhanced.com>  Tue, 14 Dec 1999 19:57:17 -0500

perspic (1.0-2) unstable; urgency=low

  * Made sure links against libdb1 on glibc2.1 systems, and libdb on glibc2.0 systems
  * Added 'Sysdict' menu item to open pre-indexed system dictionaries in /usr/lib/perspic
  * Changed filenaming convention and index placement
  * Made work with glibc2.1 as well as 2.0

 -- Camm Maguire <camm@enhanced.com>  Thu, 25 Nov 1999 00:15:21 -0500

perspic (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Camm Maguire <camm@enhanced.com>  Mon,  1 Nov 1999 00:59:14 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: perspic
Section: misc
Priority: optional
Maintainer: Camm Maguire <camm@enhanced.com>
Standards-Version: 3.1.1.1

Package: perspic
Architecture: any
Depends: ${shlibs:Depends}
Recommends: perspic-texts
Description: A text indexing and word search program
 Perspic is a tool for the study of documents that change 
 infrequently if at all, e.g. sacred texts, ancient texts of
 historical interest, etc.  Perspic build a fully indexed and 
 compressed version of the original text files.  Word search 
 results are summarized by line.  Selecting a given line opens 
 the full text about the given word.  Other features include
 dictionary definition of words, scanning of word derivatives,
 and saving selected quotations with their accompanying 
 attribution.

Package: perspic-texts
Architecture: all
Depends: perspic
Suggests: arabtex
Description: Some pre-indexed texts for perspic
 The examples provided here include selections from the world's
 sacred literature, including the King James Bible, several 
 translations of the Holy Quran, the Bhaghavad-Gita, selected
 Buddhist Sutras, and selections from the Baha'i Writings.  A
 thesaurus is also provided, as well as an Arabic-English
 inter-linear Quran in the encoding processed by ArabTeX.  
 Hopefully perspic might evolve into a tool fit for the study 
 of translations.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

#	if [ -e /usr/include/db/db1.h ] ; then cat Makefile.am | sed 's,\-ldb.*$$,-ldb1,g' >foo ; else cat Makefile.am | sed 's,\-ldb.*$$,-ldb,g' >foo ; fi;
#	mv foo Makefile.am
	./configure 
	# Add here commands to compile the package.
#	cd libindex ; $(MAKE) 
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) maintainer-clean
#	-cd libindex ; make clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install prefix=`pwd`/debian/tmp/usr
	cp  .-usr*sacred* `pwd`/debian/perspic-texts/usr/lib/perspic/sacred
	cp  .-usr*thesaurus* `pwd`/debian/perspic-texts/usr/lib/perspic/thesaurus
	cp  .-usr*translations* `pwd`/debian/perspic-texts/usr/lib/perspic/translations
	cp perspic.tex `pwd`/debian/perspic-texts/usr/lib/perspic/

	dh_movefiles
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installinit -i
	dh_installcron -i
#	dh_installmanpages -i
	dh_installinfo -i
#	dh_undocumented
	dh_installchangelogs -i 
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	# You may want to make some executables suid here.
	dh_suidregister -i
	dh_installdeb -i
#	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installinit -a
	dh_installcron -a
	dh_installmanpages -a
	dh_installinfo -a
#	dh_undocumented
	dh_installchangelogs -a 
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	# You may want to make some executables suid here.
	dh_suidregister -a
	dh_installdeb -a
#	dh_makeshlibs -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## perspic 1.5-1

=== debian/changelog ===
perspic (1.5-1) unstable; urgency=low

  * Escaped LaTeX sequences in quoted text to make print and preview
    more reliable.
  * Run latex, xdvi, and dvips subjobs as fork/exec with pipes to
    catch output in case of error and display as in error window.
  * Fixed segfault when quotation was selected from bottom to top
  * Updated perspic.tex header file
  * Recommends tetex-extra for latex processing of quotes
  * Updated Makefile.am to correctly depend on sublibs
  * Replaced symlinks to automake files with copies, Closes: #105160
  * Build-Depends
  * Run system commands with stdin to /dev/null, to keep latex from
    hanging

 -- Camm Maguire <camm@enhanced.com>  Sun, 15 Jul 2001 14:46:26 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: misc
 Priority: optional
 Maintainer: Camm Maguire <camm@enhanced.com>
+Build-Depends: autoconf,automake,debhelper,flex,gettext,libglib1.2-dev,libgtk1.2-dev,texinfo
 Standards-Version: 3.1.1.1
 
 Package: perspic
 Architecture: any
 Depends: ${shlibs:Depends}
-Recommends: perspic-texts
+Recommends: perspic-texts, tetex-extra
 Description: A text indexing and word search program
  Perspic is a tool for the study of documents that change 
  infrequently if at all, e.g. sacred texts, ancient texts of
